commit: 21ef967ae3698ee69d2a285ffee79a554cd69b8f
parent: d019e38841b9391f0e6a436de170852b21538704
Author: Haelwenn (lanodan) Monnier <contact@hacktivis.me>
Date: Sat, 31 Aug 2019 11:42:28 +0200
.local/bin/sway-run: move to wl-run and make generic
Diffstat:
2 files changed, 11 insertions(+), 7 deletions(-)
diff --git a/.local/bin/sway-run b/.local/bin/sway-run
@@ -1,7 +0,0 @@
-#!/bin/sh
-export GDK_BACKEND=wayland
-export QT_QPA_PLATFORM=wayland-egl
-export CLUTTER_BACKEND=wayland
-export SDL_VIDEODRIVER=wayland
-
-sway >~/.local/share/sway.log 2>&1
diff --git a/.local/bin/wl-run b/.local/bin/wl-run
@@ -0,0 +1,11 @@
+#!/bin/sh
+# Wayland wrapper
+export GDK_BACKEND=wayland
+export QT_QPA_PLATFORM=wayland-egl
+export CLUTTER_BACKEND=wayland
+export SDL_VIDEODRIVER=wayland
+
+[ -z "${XDG_RUNTIME_DIR}" ] && ( echo "$0"': Error: XDG_RUNTIME_DIR undefined, exiting…' 1>&2; exit 1 )
+[ -z "$@" ] && ( echo "$0"': Nothing to execute, exiting…' 1>&2; exit 0 )
+
+"$@" >"${XDG_RUNTIME_DIR}"'/wl-run_'"$1"'_'"$$"'.log' 2>&1